%undefine _missing_build_ids_terminate_build
%define debug_package %{nil}

Name:           yubico-authenticator
Version:        6.2.0
Release:        1
Summary:        Yubikey tool for generating OATH event-based HOTP and time-based TOTP codes

License:        Apache-2.0
URL:            https://developers.yubico.com/yubioath-flutter/
Source0:        https://developers.yubico.com/yubioath-flutter/Releases/yubico-authenticator-%{version}-linux.tar.gz

BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Obsoletes:      yubioath-desktop < 6.1.0
Provides:       yubioath-desktop = %{version}-%{release}
# Exclude the bundled flutter libs
%global __requires_exclude ^lib(.*_plugin|flutter_linux_gtk)\\.so


%description
Store your unique credential on a hardware-backed security key and take
it wherever you go from mobile to desktop. No more storing sensitive
secrets on your mobile phone, leaving your account vulnerable to
takeovers. With the Yubico Authenticator you can raise the bar for
security.

* The Yubico Authenticator will work with any USB or NFC-enabled YubiKeys

The Yubico Authenticator securely generates a code used to verify your
identity as you are logging into various services. 

%prep
%setup -q -n yubioath-desktop-%{version}-linux


%build
find helper lib -name lib\*.so\* -exec chrpath -d {} \;


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_libdir}/%{name} \
         %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
mv linux_support/com.yubico.yubioath.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
sed -e 's|Exec=.*/|Exec="%{_bindir}/|' -e 's|Icon=.*/|Icon=%{_datadir}/icons/hicolor/128x128/apps/|' linux_support/com.yubico.authenticator.desktop > %{buildroot}%{_datadir}/applications/com.yubico.authenticator.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/com.yubico.authenticator.desktop
rm -rf linux_support
cp -a * %{buildroot}%{_libdir}/%{name}/
ln -s ../%{_lib}/%{name}/authenticator %{buildroot}%{_bindir}/

%files
%doc README.adoc
%{_bindir}/authenticator
%{_datadir}/applications/com.yubico.authenticator.desktop
%{_datadir}/icons/hicolor/128x128/apps/com.yubico.yubioath.png
%{_libdir}/%{name}/


%changelog
* Thu Apr 20 2023 Orion Poplawski <orion@nwra.com> - 6.2.0-1
- Update to 6.2.0

* Thu Apr 20 2023 Orion Poplawski <orion@nwra.com> - 6.1.0-1
- Package binary tarball
